package com.jiuqi.syntax;

import java.util.ArrayList;

public final class FunctionParams extends ArrayList {
   public FunctionParam getParam(int index) {
      return (FunctionParam)super.get(index);
   }

   public boolean add(FunctionParam param) {
      return super.add(param);
   }

   public FunctionParam addParam(String name, String title, int type) {
      return this.addParam(name, title, type, false, false);
   }

   public FunctionParam addParam(String name, String title, int type, boolean canOmit) {
      return this.addParam(name, title, type, canOmit, false);
   }

   public FunctionParam addParam(String name, String title, int type, boolean canOmit, boolean isSign) {
      FunctionParam param = new FunctionParam();
      param.name = name;
      param.title = title;
      param.type = type;
      param.canOmit = canOmit;
      param.isSign = isSign;
      this.add(param);
      return param;
   }
}
